curl "https://api.runtools.ai/v1/sandboxes?status=running&tag=ci&limit=50" \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const allRunning = await rt.sandbox.list({
status: 'running',
tags: ['ci'],
});
const page = await rt.sandbox.listPage({
template: 'desktop-ubuntu',
limit: 25,
});
{
"data": [
{
"id": "sandbox-abc123",
"name": "build-runner",
"status": "running",
"template": "base-ubuntu",
"sshReady": true,
"vncReady": false,
"createdAt": "2026-05-06T10:00:00Z"
}
],
"meta": {
"hasMore": false,
"nextCursor": null
}
}
Sandboxes
List Sandboxes
List sandboxes visible to the caller
GET
/
v1
/
sandboxes
curl "https://api.runtools.ai/v1/sandboxes?status=running&tag=ci&limit=50" \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const allRunning = await rt.sandbox.list({
status: 'running',
tags: ['ci'],
});
const page = await rt.sandbox.listPage({
template: 'desktop-ubuntu',
limit: 25,
});
{
"data": [
{
"id": "sandbox-abc123",
"name": "build-runner",
"status": "running",
"template": "base-ubuntu",
"sshReady": true,
"vncReady": false,
"createdAt": "2026-05-06T10:00:00Z"
}
],
"meta": {
"hasMore": false,
"nextCursor": null
}
}
Query Parameters
string
Filter by status.
string
Filter by tag. Repeat
tag to match multiple tags.string
Filter by template, such as
base-ubuntu or desktop-ubuntu.string
Exclude a template from results.
number
default:"500"
Page size. Use
cursor to continue. The SDK can auto-page when you need the full list.string
Cursor from the previous response.
boolean
Admin-only: include all organization sandboxes instead of only caller-visible rows.
Response
array
Sandbox summaries.
boolean
Whether another page is available.
string
Cursor for the next page.
curl "https://api.runtools.ai/v1/sandboxes?status=running&tag=ci&limit=50" \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const allRunning = await rt.sandbox.list({
status: 'running',
tags: ['ci'],
});
const page = await rt.sandbox.listPage({
template: 'desktop-ubuntu',
limit: 25,
});
{
"data": [
{
"id": "sandbox-abc123",
"name": "build-runner",
"status": "running",
"template": "base-ubuntu",
"sshReady": true,
"vncReady": false,
"createdAt": "2026-05-06T10:00:00Z"
}
],
"meta": {
"hasMore": false,
"nextCursor": null
}
}